ListApiMcpServers

更新时间:
复制 MD 格式

Lists all API MCP servers under the root account.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:

  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.

  • API: The API that you can call to perform the action.

  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.

  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.

    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.

    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.

  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.

  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

openapiexplorer:ListApiMcpServers

list

*ApiMcpServer

acs:openapiexplorer::{#accountId}:apimcpserver/*

None None

Request syntax

GET /apimcpservers HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

id

string

No

The ID of the API MCP server.

v6ZZ7ftCzEILW***

nextToken

string

No

The token to start the next query. Set this parameter to the NextToken value returned in the previous API call.

Note

Do not provide this parameter for the first query. If a query does not return all results, pass the NextToken value from the previous response in the next query to continue.

AAAAAZjtYxxxxxxxx

maxResults

integer

No

The maximum number of entries per page in paged queries. Maximum value is 100. Default value is 20.

10

skip

integer

No

The number of entries to skip.

5

description

string

No

The description of the API MCP server.

这是一个API MCP服务器。

language

string

No

The documentation language for the API MCP server. You can choose between Chinese or English API documentation. The prompt language may affect AI response quality.

ZH_CN

createTime

string

No

The creation time of the API MCP server.

2024-10-30T02:10:13Z

updateTime

string

No

The update time of the API MCP server.

2024-06-05T02:27:39Z

sourceType

string

No

The type of API MCP service.

  • custom: Custom service

  • system: System service

system

keyword

string

No

The search keyword. Supports fuzzy search by API name or exact search by API ID.

oss

Response elements

Element

Type

Description

Example

object

The response to the request.

requestId

string

The request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

nextToken

string

The pagination cursor.

Note

A non-empty value indicates more data is available.

AAAAAZjtYxxxxxxxx

totalCount

integer

The total number of entries.

5

maxResults

integer

The maximum number of entries per page.

30

apiMcpServers

array<object>

The list of API MCP servers returned by the query.

array<object>

Information about the API MCP service.

id

string

The ID of the API MCP service.

v6ZZ7ftCzEILW***

description

string

The description of the API MCP server.

这是一个API MCP服务器。

apis

array<object>

The list of API information.

object

API information.

product

string

The product code.

  • Call the GetRequestLog operation and get the product code from the response.

  • Find the product code from the OpenAPI portal URL. For example, the OpenAPI portal URL for Short Message Service is https://api.aliyun.com/product/Dysmsapi. The product code for Short Message Service is Dysmsapi.

Ecs

apiVersion

string

The POP version of the API exposed to the MCP server.

2014-05-26

selectors

array

The list of API name matching rules.

string

The API name matching rule.

*Bucket

additionalApiDescriptions

array<object>

The list of additional API descriptions.

array<object>

Additional API description.

product

string

The product code.

  • Call the GetRequestLog operation and get the product code from the response.

  • Find the product code from the OpenAPI portal URL. For example, the OpenAPI portal URL for Short Message Service is https://api.aliyun.com/product/Dysmsapi. The product code for Short Message Service is Dysmsapi.

Ecs

apiVersion

string

The POP version of the API exposed to the MCP server.

2014-05-26

apiName

string

The API name.

DescribeRegions

apiOverrideJson

string

The API metadata in JSON format. See the format at https://api.aliyun.com/meta/v1/products/Ecs/versions/2014-05-26/apis/DescribeInstances/api.json. You can override the summary and parameters.

{ "summary": "本接口支持根据不同请求条件查询实例列表,并关联查询实例的详细信息。" }

executeCliCommand

boolean

Indicates whether to return the CLI execution command. In this mode, the API call is not actually executed. Instead, the corresponding CLI command is returned. This applies to long-running tasks and requires using Alibaba Cloud CLI to execute the command.

true

enableOutputSchema

boolean

Indicates whether to return the response parameter schema. Returning the schema increases the size of the API MCP server. The default value is null, which means the response parameter schema is not returned.

true

toolAlias

string

The tool alias. You can change it to a custom name such as list_ecs_regions. The alias can contain letters, digits, hyphens (-), and underscores (_). Aliases must be unique.

list_ecs_regions

constParameters

array<object>

The list of constant input parameters. These parameters are not included in API parameter parsing.

object

A constant input parameter.

key

string

The parameter name. Only top-level parameter names are supported. For ROA-style APIs, you can set body.xx. Values beyond top-level parameters are not allowed.

InstanceId

value

any

The parameter value.

1234

createTime

string

The creation time of the API MCP server.

2024-12-10T03:20:21Z

updateTime

string

The update time of the API MCP server.

2025-01-10T02:11:43Z

prompts

array<object>

The list of prompt configurations.

array<object>

Prompt configuration.

name

string

The prompt name.

test

description

string

The prompt description.

prompt description

content

string

The prompt content. Variables are specified in the {{xxx}} format. xxx is the variable name and must be defined in the arguments parameter.

prompt正文,{{name}}

arguments

array<object>

The list of supported prompt parameters.

object

A supported prompt parameter.

name

string

The parameter name.

test

description

string

The parameter description.

argument description

required

boolean

Indicates whether the parameter is required.

true

language

string

The documentation language for the API MCP service. You can choose between Chinese or English API documentation. The prompt language may affect AI response quality.

Valid values:

  • EN_US :

    EN_US

  • ZH_CN :

    ZH_CN

ZH_CN

urls

object

The connection information for the API MCP service.

sse

string

The SSE protocol connection information.

https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse

mcp

string

The streamable HTTP protocol connection information. We recommend that you use this option.

https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp

vpcSse

string

The SSE protocol endpoint in VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse

vpcMcp

string

The streamable HTTP protocol endpoint in VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp

systemTools

array

The list of system tools.

string

The system tool name.

FetchRamActionDetails

name

string

The MCP server name. It must be 3 to 64 characters long, consist of lowercase letters and digits, and cannot start with a digit. The name must be unique within the same Alibaba Cloud account.

mcp-demo

sourceType

string

The type of API MCP service.

  • custom: Custom service

  • system: System service

system

systemMcpServerInfo

object

The list of system MCP services.

product

string

The product code.

  • Call the GetRequestLog operation and get the product code from the response.

  • Find the product code from the OpenAPI portal URL. For example, the OpenAPI portal URL for Short Message Service is https://api.aliyun.com/product/Dysmsapi. The product code for Short Message Service is Dysmsapi.

Ecs

name

string

The system MCP service name.

mcp-system

oauthClientId

string

The custom OAuth client ID when you select a custom OAuth configuration.

Only Web and Native applications are supported. The OAuth scope must include /acs/mcp-server.

403*************370

instructions

string

The MCP instruction. It tells the large language model how to use this MCP. The client must support the Instructions field in the standard MCP protocol.

test

enableAssumeRole

boolean

Indicates whether multi-account access is enabled.

true

assumeRoleName

string

The RAM role name of the destination account when cross-account operations are performed with multi-account access enabled.

test

assumeRoleExtraPolicy

string

The extra policy for role assumption when multi-account access is enabled. If this policy exists, it overrides the permissions defined in the role.

{ "Version": "1", "Statement": [ { "Effect": "Allow", "Action": [ "ecs:Describe*", "vpc:Describe*", "vpc:List*" ], "Resource": "*" } ] }

terraformTools

array<object>

The list of Terraform tools.

object

A Terraform tool.

code

string

The Terraform tool code. Overview of HCL language

variable "name" { default = "terraform-example" } provider "alicloud" { region = "cn-beijing" } resource "alicloud_vpc" "default" { ipv6_isp = "BGP" description = "test" cidr_block = "10.0.0.0/8" vpc_name = var.name enable_ipv6 = true }

name

string

The Terraform tool name.

test

description

string

The Terraform tool description.

Terraform Tool description

async

boolean

Indicates whether the execution is asynchronous. After initiating a task, the system immediately processes the next task without waiting for each resource operation to complete.

true

destroyPolicy

string

The deletion policy. After task execution, the system cleans up temporary resources based on the task status.

  • NEVER: Never delete. Keep all created resources regardless of task success or failure.

  • ALWAYS: Always delete. Delete all related resources immediately after task completion, regardless of success or failure.

  • ON_FAILURE: Delete on failure. Delete related resources only if the task fails. Keep resources if the task succeeds.

Valid values:

  • ON_FAILURE :

    ON_FAILURE

  • NEVER :

    NEVER

  • ALWAYS :

    ALWAYS

ON_FAILURE

publicAccess

string

Indicates whether public network access is enabled.

on

enableCustomVpcWhitelist

boolean

Indicates whether a custom VPC whitelist is enabled. If disabled, the account-level configuration applies.

true

vpcWhitelists

array

The VPC whitelist that restricts sources when public network access is disabled. If not set or empty, no source restrictions apply.

string

A VPC whitelist entry. The value is the source VPC ID.

vpc-j6cgd2if5lg**0xs6m5se

Examples

Success response

JSON format

{
  "requestId": "\t\n9BFC4AC1-6BE4-5405-BDEC-CA288D404812\n",
  "nextToken": "AAAAAZjtYxxxxxxxx",
  "totalCount": 5,
  "maxResults": 30,
  "apiMcpServers": [
    {
      "id": "v6ZZ7ftCzEILW***",
      "description": "这是一个API MCP服务器。",
      "apis": [
        {
          "product": "Ecs",
          "apiVersion": "2014-05-26",
          "selectors": [
            "*Bucket"
          ]
        }
      ],
      "additionalApiDescriptions": [
        {
          "product": "Ecs",
          "apiVersion": "2014-05-26",
          "apiName": "DescribeRegions",
          "apiOverrideJson": "{\n  \"summary\": \"本接口支持根据不同请求条件查询实例列表,并关联查询实例的详细信息。\"\n}",
          "executeCliCommand": true,
          "enableOutputSchema": true,
          "toolAlias": "list_ecs_regions",
          "constParameters": [
            {
              "key": "InstanceId",
              "value": "1234"
            }
          ]
        }
      ],
      "createTime": "2024-12-10T03:20:21Z",
      "updateTime": "2025-01-10T02:11:43Z",
      "prompts": [
        {
          "name": "test",
          "description": "prompt description",
          "content": "prompt正文,{{name}}",
          "arguments": [
            {
              "name": "test",
              "description": "argument description",
              "required": true
            }
          ]
        }
      ],
      "language": "ZH_CN",
      "urls": {
        "sse": "https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse",
        "mcp": "https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp",
        "vpcSse": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse",
        "vpcMcp": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp"
      },
      "systemTools": [
        "FetchRamActionDetails"
      ],
      "name": "mcp-demo",
      "sourceType": "system",
      "systemMcpServerInfo": {
        "product": "Ecs",
        "name": "mcp-system"
      },
      "oauthClientId": "403*************370",
      "instructions": "test",
      "enableAssumeRole": true,
      "assumeRoleName": "test",
      "assumeRoleExtraPolicy": "{\n  \"Version\": \"1\",\n  \"Statement\": [\n    {\n      \"Effect\": \"Allow\",\n      \"Action\": [\n        \"ecs:Describe*\",\n        \"vpc:Describe*\",\n        \"vpc:List*\"\n      ],\n      \"Resource\": \"*\"\n    }\n  ]\n}",
      "terraformTools": [
        {
          "code": "variable \"name\" {\n  default = \"terraform-example\"\n}\n\nprovider \"alicloud\" {\n  region = \"cn-beijing\"\n}\n\nresource \"alicloud_vpc\" \"default\" {\n  ipv6_isp    = \"BGP\"\n  description = \"test\"\n  cidr_block  = \"10.0.0.0/8\"\n  vpc_name    = var.name\n  enable_ipv6 = true\n}",
          "name": "test",
          "description": "Terraform Tool description",
          "async": true,
          "destroyPolicy": "ON_FAILURE"
        }
      ],
      "publicAccess": "on",
      "enableCustomVpcWhitelist": true,
      "vpcWhitelists": [
        "vpc-j6cgd2if5lg**0xs6m5se"
      ]
    }
  ]
}

Error codes

HTTP status code

Error code

Error message

Description

400 InvalidParam.NextToken The specified NextToken is not valid. The specified nextToken is invalid.
400 NextTokenParameterMismatch The request uses the same nextToken as the previous request, but with different parameters. NextTokens should not be reused across non-identical requests. Each unique request must have a distinct nextToken. The request uses the same nextToken as the previous request, but with different parameters. NextTokens should not be reused across non-identical requests. Each unique request must have a distinct nextToken.
500 InternalServerError The request has failed due to a temporary failure of the server.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.